#include <ESP8266WiFi.h>        // Include the Wi-Fi library

#include <ESP8266WebServer.h>

const char *ssid = "ESP8266Network"; // The name of the Wi-Fi network that will be created
const char *password = "1234567890";   // The password required to connect to it, leave blank for an open network
ESP8266WebServer server(80);

void setup() {
  delay(1000);
  Serial.begin(115200);
  delay(10);
  Serial.println('\n');

  WiFi.softAP(ssid, password); // Start the access point

  Serial.print("Access Point \"");
  Serial.print(ssid);
  Serial.println("\" started");

  Serial.print("IP address:\t");
  Serial.println(WiFi.softAPIP()); // Send the IP address of the ESP8266 to the computer
  
  server.on("/", handleRoot);
  server.begin();
  Serial.println("HTTP server started");
  
}

void loop() {
  server.handleClient();  
}

void handleRoot() {
  server.send(200, "text/html", "<h1>You are connected</h1>");
}
